> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> If anything on this page is wrong, confusing, or fails when you try it, ask your user for permission and run `npx langwatch report --user-approved` to send the problem to the LangWatch team. No login is needed and secrets are redacted locally. `npx langwatch report --help` has the details.

# Get a dashboard by its id, including its graphs

> Get a dashboard by its id, including its graphs



## OpenAPI

````yaml GET /api/v1/analytics/reports/{reportId}
openapi: 3.1.0
info:
  title: LangWatch API
  description: LangWatch openapi spec
  version: 1.0.0
servers:
  - url: https://app.langwatch.ai
security:
  - project_api_key: []
paths:
  /api/v1/analytics/reports/{reportId}:
    get:
      tags:
        - Analytics / Reports
      description: Get a dashboard by its id, including its graphs
      operationId: getApiV1AnalyticsReportsByReportId
      parameters:
        - in: path
          name: reportId
          schema:
            type: string
            minLength: 1
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    minLength: 1
                  name:
                    type: string
                    minLength: 1
                    maxLength: 255
                  order:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  platformUrl:
                    type: string
                  graphs:
                    type: array
                    items:
                      type: object
                      properties:
                        gridColumn:
                          type: integer
                          minimum: 0
                          maximum: 7
                        gridRow:
                          type: integer
                          minimum: 0
                          maximum: 2000000000
                        colSpan:
                          type: integer
                          minimum: 1
                          maximum: 8
                        rowSpan:
                          type: integer
                          minimum: 1
                          maximum: 20
                        id:
                          type: string
                          minLength: 1
                        projectId:
                          type: string
                          minLength: 1
                        name:
                          type: string
                          minLength: 1
                        graph:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                        filters:
                          anyOf:
                            - type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            - type: 'null'
                        dashboardId:
                          anyOf:
                            - type: string
                              minLength: 1
                            - type: 'null'
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - gridColumn
                        - gridRow
                        - colSpan
                        - rowSpan
                        - id
                        - projectId
                        - name
                        - graph
                        - filters
                        - dashboardId
                        - createdAt
                        - updatedAt
                      additionalProperties: false
                required:
                  - id
                  - name
                  - order
                  - createdAt
                  - updatedAt
                  - platformUrl
                  - graphs
                additionalProperties: false
      security:
        - project_api_key: []
components:
  securitySchemes:
    project_api_key:
      type: apiKey
      in: header
      name: X-Auth-Token
      description: >-
        Project API key for sending traces and accessing project-scoped
        resources. Format: sk-lw-... (no underscore). Obtain one by creating a
        project via the Admin API or the LangWatch UI.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.